Page MenuHomePhabricator

Search results not rendering nicely on mobile skin
Closed, ResolvedPublic

Description

Seen today on https://en.m.wikipedia.org/w/index.php?search=jjj&fulltext=search

Probably a simple addition of targets to the style module.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2016, 9:24 PM
Jdlrobson updated the task description. (Show Details)
debt edited projects, added Mobile; removed Discovery-Search.Jul 21 2016, 10:07 PM
debt added a subscriber: debt.

removing the search backlog tag and adding mobile.

If i had to guess it appears to be related to the .visualClear div not having clear:both in mobile

Jdlrobson added a subscriber: dr0ptp4kt.

@debt: To be clear should issues with the design of the search page be the responsibility of the discovery team or reading? I was of the understanding it was discovery (note the mobile tag should be associated with a relevant project). cc @dr0ptp4kt

This box didn't used to appear in the mobile site. It should be easy to fix.
The Minerva skin doesn't load the mediawiki.legacy ResourceLoader module which contains that style (and that module shouldn't be added).

I see resources/src/mediawiki.special/mediawiki.special.search.styles.css has various clear:both css rules so this would be a great opportunity to clean those up and come up with a single rule in that stylesheet.

I think this is more of the case where there are no frontend developers on search, as such we haven't changed anything with the search interface visually. I'm not sure the source of whatever changed to create this issue.

debt triaged this task as High priority.Jul 22 2016, 1:18 AM
debt added a project: Discovery-Search.
debt added a subscriber: Jdrewniak.

Ah, thanks for clarifying, @Jdlrobson - I had thought it was strictly mobile web related.

We'll have a look at this, since @Jdrewniak can help out in August with front end stuff for the Search team.

debt moved this task from needs triage to Up Next on the Discovery-Search board.Jul 22 2016, 1:18 AM

@Florian i think this is related to https://gerrit.wikimedia.org/r/288764 or one of it's followups?

Btw.: https://github.com/wikimedia/mediawiki/blob/master/resources/src/mediawiki.special/mediawiki.special.search.styles.css has two clear:both sections, as far as I can see. However, rewriting the mw-search-interwiki-header class to a search-generic visualClear thing sounds like a valid option.

Change 301715 had a related patch set uploaded (by Florianschmidtwelzow):
Special:Search replace visualClear with mw-search-visualclear

https://gerrit.wikimedia.org/r/301715

Change 301715 merged by jenkins-bot:
Special:Search replace visualClear with mw-search-visualclear

https://gerrit.wikimedia.org/r/301715

Florian closed this task as Resolved.Jul 29 2016, 5:13 PM